package net.sabi.pester;

import danger.app.Event;
import danger.ui.NumberEditor;
import danger.ui.View;
import danger.util.DEBUG;

public class EventfulNumberEditor extends NumberEditor {
    public View mAlphaView;
    
    public boolean eventKeyDown(char c, Event event) {
	if (Character.isLetter(c))
	    return mAlphaView.eventKeyDown(c, event);
	return super.eventKeyDown(c, event);
    }

    // Note: because NumberEditor temporarily holds invalid values to
    // ease editing, it doesn't send its event immediately, but after
    // a delay or exit.  The one exception is when you exit the
    // picker; it should send an event but doesn't.

    public boolean receiveEvent(Event e) {
	boolean retval = super.receiveEvent(e);
	if (e.type == -33268) { // value returned by picker
	    getEvent().sendToTarget();
	}
	return retval;
    }
}